作者 主题: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条(7月4日)  (阅读 1260399 次)

离线 dweb

  • Administrator
  • 注册用户
  • *****
  • 帖子: 2883
GProxy火狐工具条 GProxy2.1版(7月4日)
http://forums.internetfreedom.org/index.php?topic=17030.0

如何在LINUX 中使用自由门
http://forums.internetfreedom.org/index.php?topic=4112.0

在MAC中使用动态网软件的详细教程
http://forums.internetfreedom.org/index.php?topic=2490.0

如何使用ipv6登录动态网
http://forums.internetfreedom.org/index.php?topic=4111.0
« 最后编辑时间: 七月 04, 2012, 08:41:01 am 作者 dweb »

春天花会开

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #1 于: 三月 09, 2011, 08:20:00 am »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。

访客

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #2 于: 四月 25, 2011, 08:20:45 pm »
gp插件真的好用,可以用于火狐4.0,我先前不想试用,但是,用了过后发现用它破网比其它插件方便多了,谢谢专家

离线 liyafe1997

  • 注册用户
  • *
  • 帖子: 424
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #3 于: 四月 28, 2011, 04:47:17 am »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。


没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #4 于: 四月 30, 2011, 10:03:14 pm »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。


没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



去年???!!!!! 去年还自由们能访问国内网站呢
客官给好多人清理过电脑 装过自由们?还是呢就是自己用用?超过20人你才知道国内的现状 有评论的资格. 
不会是5毛吧?


顶烟云楼挤兑银行

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #5 于: 五月 06, 2011, 07:01:42 am »

如何在win xp系统下安装(实际上只是拷贝到电脑上)自由门也该出个专帖。毕竟使用xp的人最多。
因为使用 翻墙 软件的第一步是 清理电脑, 那些从没用过 翻墙软件 根本就不
知道什么是翻墙的可怜人,十有八九都安装的 被共匪收买的间谍软件360杀毒,安全卫士
之流系列软件。清理电脑首先就是要卸载360. 这个360太邪恶(一定会和共匪一样 不得善终)。
这一步最关键。切记:先把所有的文档和软件备份,特别是保存在桌面的文档。因为卸载
的时候,360会把你的保存在电脑的桌面的文档都彻底删除的。不单单删除文档,还删除
photoshop之类的软件。还删除很多的系统文件,例如和系统的搜索功能相关的程序。切记在
拔掉网线的断网下操作。第二步是手动删除360藏在电脑里的文件。有的不让删除的360癞皮狗
文件,可以用unlock软件删除。第三步是安装个安全的杀毒软件,比如小红伞9.0之类,杀掉
那些后门病毒。最后,安全起见 强烈建议重装系统。因为不知道360在系统上都做了哪些手脚,
那些简单的取消 远程控制 共享 之类的设置上的更改,很可能根本就不起作用。
偶是这样操作的。不当处请高人指教哦。


没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



客官也许还不知道底捏  公匪的单位 所有电脑还有服务器是强制安装的360 不允许卸载的。。。。。。。
这下该 明白是咋个意思了吧????!!!!嘻嘻 嘻嘻 公匪吗 tmd是能骗就骗滴


离线 sx151sx

  • 注册用户
  • *
  • 帖子: 1
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #6 于: 九月 03, 2011, 05:13:21 am »
在Ubuntu11。04版本下,我确实按照lz所给处的方法去安装wine,确实能启动FG最新版本,可问题出现在FG更新环节无法正常启动FG使用。这是为什么呢?
« 最后编辑时间: 九月 20, 2011, 09:52:02 pm 作者 dweb »

离线 dweb

  • Administrator
  • 注册用户
  • *****
  • 帖子: 2883
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #7 于: 九月 20, 2011, 09:51:21 pm »
在wine下不要安装封包过滤器

linyange

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #8 于: 九月 21, 2011, 09:42:12 pm »
反馈一下在Ubuntu 11.04 (Wine版本1.3.28)使用自由门系列软件的情况。

首先,运行时,不需用鼠标右键选择“open with wine windows loader”,直接双击图标即可。

双击程序图标时,会弹出窗口提示:“The file *** is not marked as executable. ...”。所以,需要先点击鼠标右键,在菜单的属性——权限——勾选“允许以程序执行文件”。这样,再双击图标就可以了。(新版的fg719,FreeU22在Ubuntu下已经默认勾选了“允许以程序执行文件”,不再需要这步手动修改。)

然后运行时,会提示安装“封包过滤器”,选择安装后会要求重启。但第二次打开时还是接着提示。估计没装上。是否“封包过滤器”只能在Windows安装使用?如果“封包过滤器”只能在Windows里才安装的上,建议将专用于Linux下的自由门版本的默认设置改为采用F通道。

因为Wine下的IE很不好用,使用代理模式时IE出错。但发现完全可以用“经典模式”来启动自由门系列软件,这样就避开使用IE的问题,自由门自动打开Linux默认的浏览器,效果要好很多。如果可能的话,建议用于Linux下的版本,事先设定为采用“经典模式”。

个人以为,可考虑根据Linux(尤其是Ubuntu)的具体情况,提供适合这个操作环境下的自由门版本,即使是在Wine平台运行的.exe文件也行,因为安装wine的用户估计还是很多的。

虽然在winetricks里安装或本网站上找到mfc42.dll,msvcp60.dll的下载没多难,但如果有这样专门用于Linux的特殊版本,将事先针对Linux调整了相关设置的自由门软件和上述2个dll文件,打包提供给用户,会更方便用户,不需要用户自己去找,去设置了。
« 最后编辑时间: 十月 08, 2011, 08:10:15 am 作者 linyange »

离线 woifq

  • 注册用户
  • *
  • 帖子: 37
  • 爱翻墙 爱国米
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #9 于: 十一月 03, 2011, 08:44:11 am »
火狐7.0無法使用GProxy火狐工具条。

离线 cejilu

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 88
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #10 于: 十一月 11, 2011, 12:19:13 am »
请问:GProxy1.67,能否支持Chrome浏览器呢?

如不能,请开发能支持Chrome浏览器的代理扩展。

离线 ytzt

  • 注册用户
  • *
  • 帖子: 3
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #11 于: 十二月 04, 2011, 07:59:43 am »
没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



去年???!!!!! 去年还自由们能访问国内网站呢
客官给好多人清理过电脑 装过自由们?还是呢就是自己用用?超过20人你才知道国内的现状 有评论的资格. 
不会是5毛吧?

我现在也在用啊,360+动网通,挺快的啊。为什么说是5毛呢,

离线 k88649390

  • 注册用户
  • *
  • 帖子: 2
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #12 于: 一月 16, 2012, 06:32:17 am »
没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。



去年???!!!!! 去年还自由们能访问国内网站呢
客官给好多人清理过电脑 装过自由们?还是呢就是自己用用?超过20人你才知道国内的现状 有评论的资格. 
不会是5毛吧?



不要那么极端啊!人家没说什么话!我电脑上也有360 也用的是自由门 这个没什么问题吧!

离线 linyange

  • 注册用户
  • *
  • 帖子: 4
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #13 于: 二月 03, 2012, 09:07:21 pm »
新启动自由门时,有一段提示安装“封包过滤器”的文字:“自由门采用驱动技术增强突破封锁能力,需要安装封包过滤器,否则不能使用更强的!”。因为Linux操作系统下似不能安装封包过滤器,我想能不能借用这个提示窗口,增加一些文字,整体提示文字如下:

“自由门采用驱动技术增强突破封锁能力,需要安装封包过滤器,否则不能使用更强的!

适用平台:Windows XP,Windows Vista,Windows 7

注:Linux(Ubuntu)操作系统不能安装封包过滤器,请按“否”跳过此设置,并切换到“经典模式”下使用。”

(Mac OS不知使用情况如何,以上操作系统也并未一一测试,只是估计是这样。)

这样,增加这么一点,应是举手之劳,但我想能帮着使用类似Ubuntu系统的新用户快速的找到自由门的适合使用方式。
« 最后编辑时间: 二月 03, 2012, 09:43:23 pm 作者 linyange »

JF

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #14 于: 二月 06, 2012, 08:23:52 am »
没这么严重吧。。。
我去年360和QQ没打之前一直用360&逍遥游 没问题呀。。

我是对360深恶痛绝滴。。。用过1次,就坚决彻底地根除了。。。

离线 wang1

  • 注册用户
  • *
  • 帖子: 84
win7系统的安全性怎样?

地基

  • 访客
火狐15.01無法使用GProxy2.1编辑代理了.原来已加的还能用

离线 bluesky2013

  • 注册用户
  • *
  • 帖子: 1
GProxy火狐工具条 GProxy2.1版(7月4日)
http://forums.internetfreedom.org/index.php?topic=17030.0

如何在LINUX 中使用自由门
http://forums.internetfreedom.org/index.php?topic=4112.0

在MAC中使用动态网软件的详细教程
http://forums.internetfreedom.org/index.php?topic=2490.0

如何使用ipv6登录动态网
http://forums.internetfreedom.org/index.php?topic=4111.0


离线 735526813

  • 注册用户
  • *
  • 帖子: 1
我2013.9.4日才进这个网站,进来后视频要下载后才能观看,从最近一个礼拜就不能下载了。我的杀毒是360.请给予指导,回qq735526813也行。谢谢

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
网络防火墙,Linux Firewall,UNIX Firewall,

(1),《 Linux 防火墙 》—— iptables(支持 IPv4),ip6tables(支持 IPv6),

iptables 防火墙规则,应用实例,(白名单模式),可过滤 RST 数据包攻击,适用于个人桌面电脑,支持 IPv4,
引用
# Generated by iptables-save v1.4.21 on Tue May  8 13:42:37 2018
*filter
:INPUT DROP [0:0]
:FORWARD DROP [0:0]
:OUTPUT DROP [0:0]
-A INPUT ! -i lo -p tcp -m tcp --tcp-flags RST RST -j DROP
-A INPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
-A INPUT -s 127.0.0.1/32 -d 127.0.0.1/32 -i lo -j ACCEPT
-A INPUT -j DROP
-A FORWARD -m state --state RELATED,ESTABLISHED -j ACCEPT
-A FORWARD -j DROP
-A OUTPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
-A OUTPUT -s 127.0.0.1/32 -d 127.0.0.1/32 -o lo -j ACCEPT
-A OUTPUT -m state --state NEW -j ACCEPT
-A OUTPUT -j DROP
COMMIT
# Completed on Tue May  8 13:42:37 2018

ip6tables 防火墙规则,应用实例,(白名单模式),可过滤 RST 数据包攻击,适用于个人桌面电脑,支持 IPv6,
引用
# Generated by ip6tables-save v1.4.21 on Tue May  8 13:41:12 2018                         
*filter                                                                                   
:INPUT DROP [0:0]                                                                         
:FORWARD DROP [0:0]
:OUTPUT DROP [0:0]
-A INPUT ! -i lo -p tcp -m tcp --tcp-flags RST RST -j DROP
-A INPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
-A INPUT -s ::1/128 -d ::1/128 -i lo -j ACCEPT
-A INPUT -j DROP
-A FORWARD -m state --state RELATED,ESTABLISHED -j ACCEPT
-A FORWARD -j DROP
-A OUTPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
-A OUTPUT -s ::1/128 -d ::1/128 -o lo -j ACCEPT
-A OUTPUT -m state --state NEW -j ACCEPT
-A OUTPUT -j DROP
COMMIT
# Completed on Tue May  8 13:41:12 2018


如果防火墙不支持 IPv6,出于安全的考虑,应该在 Linux 操作系统上面禁止 IPv6,

参考之一,原文链接地址:https://wiki.debian.org/DebianIPv6
引用
How to turn off IPv6

参考之二,原文链接地址:https://discuss.pivotal.io/hc/en-us/articles/204415133-How-to-disable-the-Ipv6-on-Linux
引用
How to disable the Ipv6 on Linux

引用
# sysctl -a | grep disable | grep ipv6


以下为某台笔记本电脑的 /etc/sysctl.conf 文件相关配置的实例,操作系统为 Debian 9,
引用
net.ipv6.conf.all.disable_ipv6 = 1
net.ipv6.conf.default.disable_ipv6 = 1
net.ipv6.conf.lo.disable_ipv6 = 1
net.ipv6.conf.enp2s0.disable_ipv6 = 1
net.ipv6.conf.wlp3s0.disable_ipv6 = 1

仅供参考,

注1:新手安装 Debian 9,建议安装 ufw 防火墙(支持 IPv4 和 IPv6),启用 ufw 之后,其 iptables 和 ip6tables 已经配置在基本安全防护状态,可以不必禁止 IPv6,
安装 ufw,
引用
# apt-get install ufw

启用 ufw,
引用
# ufw enable

注2:openSUSE Leap 42.3 操作系统默认启用 SuSEfirewall2 防火墙(支持 IPv4 和 IPv6),其 iptables 和 ip6tables 已经配置在安全防护状态,可以不必禁止 IPv6,

查看 iptables 防火墙规则,( IPv4),
引用
# iptables-save

查看 ip6tables 防火墙规则,( IPv6),
引用
# ip6tables-save


(2),《 UNIX 防火墙 》—— IPFW,PF,IPF,

UNIX 防火墙应用实例:(IPFW 防火墙规则),

IPFW 防火墙过滤规则(白名单模式),有防止 IP 地址欺骗功能,有过滤碎片攻击和 RST 攻击功能,适用于个人桌面电脑,支持 IPv4 / IPv6,
可应用于 FreeBSD ,TrueOS ,苹果电脑 Mac OS X,macOS 操作系统,


« 最后编辑时间: 五月 08, 2018, 01:26:42 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
可运行自由门和无界浏览翻墙软件的几种操作系统:Linux ,UNIX ,Mac OS X  ( macOS ),


< 一 > Linux 操作系统:(PC 电脑通用,免费下载使用)
                         
                           (1) Debian 9,(代号 stretch),网络防火墙:iptables,生命周期 5 年,(官方安全更新支持 2017 年 6 月 ~ 2022 年 6 月)

                             Debian 7(wheezy),(2013 年 5 月 4 日 —— 2018 年 5 月 31 日)
                             Debian 8(jessie),(2015 年 4 月 25 日 —— 2020 年 4 月 xx 日)
                             Debian 9(stretch),(2017 年 6 月 17 日 —— 2022 年 6 月 xx 日)
                             Debian 10(buster),(2019 年 (5) 月 x 日 ——  2024 年 (5) 月 xx 日)

Debian 官方网站:https://www.debian.org/
                              https://www.debian.org/distrib/
                              https://www.debian.org/CD/http-ftp/

                           (2) openSUSE Leap 15.0,网络防火墙:iptables,生命周期大约 1 年 + 6 个月,(官方安全更新支持 2018 年 5 月 ~ 2019 年 11 月)
                                 
                             openSUSE Leap 42.3 (2017 年 07 月 26 日 —— 2018 年 11 月 25 日)
                             openSUSE Leap 15.0 (2018 年 05 月 25 日 —— 2019 年 11 月 25 日)


< 二 > UNIX 操作系统:(PC 电脑通用,免费下载使用)

                           (1) FreeBSD 11,网络防火墙:IPFW 或 PF 任选其一,
FreeBSD 11 生命周期 5 年,——> 需要终端命令从一个小版本升级到下一个小版本,大约每隔 13 个月需要手动升级一次,

(官方安全更新支持 2016 年 10 月 10日~ 2021 年 9 月 30 日),其中任何一个小版本比如 FreeBSD 11.1-RELEASE 生命周期大约 1 年 + 3 个月,

                             FreeBSD 11,(2016 年 10 月 10日 —— 2021 年 9 月 30 日)

                           (2) TrueOS ,( 基于 FreeBSD 12.0-CURRENT ),网络防火墙: IPFW( 默认 ), PF( 可选 ),(生命周期大约 2 年,可以用到 2018 年 11 月 7 日暨 FreeBSD 12.0-RELEASE 发布为止 )


< 三 > Mac 苹果电脑操作系统:(苹果电脑专用,免费下载使用)

                           (OS X 的生命周期大约 3 年 + 2 个月)

                              OS X 10.8,(2012年7月——2015年10月)
                              OS X 10.9,(2013年10月——2016年11月)
                              OS X 10.10,(2014年10月——2017年12月)
                              OS X 10.11,(2015年9月——2018年11月)
                              macOS 10.12,(2016年9月——2019年11月)
                              macOS 10.13,(2017年9月——2020年11月)

                           (A)系统防火墙( 苹果系统自带,默认为关闭状态,相当于没有防火墙,必需在打开状态才会保护系统, ),普通用户仅此一个简单的系统防火墙已经够用,

                           (B)网络防火墙: IPFW 或 PF 任选其一,( 苹果系统自带, 默认已经启用,但过滤规则为空,相当于没有,),通过 [ 终端 ] 命令,添加规则才会起作用, 如使用 [ 整机隔离虚拟机之 Host— only ] 方案,必须设置 IPFW 或 PF 防火墙,

                           (C)应用程序防火墙( 可选 ):第三方应用程序防火墙 Little Snitch ,(商用软件),


在这几类操作系统上面可以用 wine 直接运行 Windows 版本的 自由门/无界浏览 等 翻墙软件,
运行自由门等翻墙软件,需要把 mfc42.dll 和 msvcp60.dll 还有 mfc42u.dll 这三个*.dll文件和翻墙软件放在同一个文件夹里,

动态网官方下载:
http://www.dongtaiwang.com/loc/software/dll/msvcp60.dll
http://www.dongtaiwang.com/loc/software/dll/mfc42.dll
http://dongtaiwang.com/loc/software/dll/mfc42u.dll

Windows XP SP3 原版操作系统上也可以找到这三个*.dll文件。

注释:

过去的旧版本自由门和无界浏览需要这些 .dll 文件,自由门 fg760p.exe 需要 mfc42u.dll 这一个文件,


~~~~~~~~~~~~~~~~~~~~~~以下为自由门实例~~~~~~~~~~~~~~~~~~~~~~~~~~~

动态网中文技术支持区 (加密链接):https://forums.internetfreedom.org/index.php?board=2.0
动态网中文技术支持区 (普通链接):http://forums.internetfreedom.org/index.php?board=2.0

成功连接7个服务器,端口:8580, 通道(A)

UNIX 操作系统:TrueOS-Desktop-201803131015(基于 FreeBSD 12.0-CURRENT),简体中文 Lumina 1.4.2 桌面, 整块硬盘全盘GELI加密,ipfw 防火墙,
用 wine-3.0 运行自由门 fg764p.exe,火狐浏览器 Firefox Quantum 58.0.2 (64-bit) 手动设置本地代理 127.0.0.1:8580,浏览网页很流畅,   


~~~~~~~~~~~~~~~~~~~~~~以下为无界浏览实例~~~~~~~~~~~~~~~~~~~~~~~~~~~

无界中文技术支持区(加密链接):https://forums.internetfreedom.org/index.php?board=8.0
无界中文技术支持区(普通链接):http://forums.internetfreedom.org/index.php?board=8.0

无界浏览18.02正式版 (2018年4月24日)
18.01被一些杀毒软件误报,重新编译发布18.02,与18.01功能相同。

无界火狐扩展17.03正式版 (2017年11月11日)
谢谢大家测试并反馈,17.03c 升级为17.03正式版。

支持 微软 Windows 电脑操作系统,苹果 Mac OS X ( macOS ) 电脑操作系统,Linux 电脑操作系统,32/64(不需要安装和运行 wine ),

无界Linux VPN 17.03正式版 (2017年11月11日)
谢谢大家测试并反馈,17.03c 升级为17.03正式版。

支持 Linux 电脑操作系统,32/64(不需要安装和运行 wine ),


新手安装,建议使用 openSUSE 或者 TrueOS,
这两个发行版属于傻瓜式安装类型,官方软件源无需用户自己设置,系统防火墙已经默认在安全防护状态,

Debian 需要用户自己添加官方软件源,需要用户自己设置系统防火墙,有些电脑还需要用户添加网卡驱动(在安装过程中,通过用户的 U 盘自动安装),
Debian 在安全,稳定,软件兼容,硬件兼容,生命周期( lifetime ),这几个方面都是最好的,

TrueOS 在安全和稳定方面很好,一些功能很独特,如 启动环境,系统快照与恢复,ZFS 文件系统,GELI 全磁盘加密,Lumina 1.4.1 桌面环境,IPFW 网络防火墙,在硬件兼容和软件兼容方面与 FreeBSD 一样 ,还不是太好。

总体而言,Linux 比 UNIX 好用得多,与 Linux 相比,UNIX 还是差得很远,UNIX 操作系统主要是安全和稳定,有 IPFW 防火墙,有 PF 防火墙,

几个安全好用的 Linux / UNIX 操作系统——应用比较


仅供参考,

« 最后编辑时间: 今天 08:13:09 pm 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
适合苹果电脑操作系统 Mac OS X 或 macOS 的 wine ,

< 一 >,可以从苹果电脑软件库下载 ( dmg 格式 ):

http://www.macupdate.com

关键词:WineBottlerCombo
文件名:WineBottlerCombo_1.8.3.dmg ,

只安装 wine 那一部分即可,不必安装 WineBottler 部分,

< 二 >,也可以从 Wine 官方下载 ( pkg 格式 ):

https://dl.winehq.org/wine-builds/macosx/pool/

https://dl.winehq.org/wine-builds/macosx/pool/winehq-stable-2.0.1.pkg
https://dl.winehq.org/wine-builds/macosx/pool/winehq-stable-2.0.1.pkg.sig

说明:

以上 dmg 格式和 pkg 格式的 Wine ,对于自由门和无界浏览的某些版本不兼容或兼容效果不好,估计将来也不会有所改善,不推荐安装,仅供测试参考,


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


从翻墙应用角度来说,苹果电脑操作系统本身并不是一个适合的操作系统,最好是在 OS X 上面运行虚拟机翻墙,

如果安装应用程序防火墙 Little Snitch,设置相应的具体规则,网络防火墙 IPFW 或 PF 也设置过滤规则,那么苹果电脑操作系统 OS X 就非常安全了,其中 Little Snitch 防火墙对 OS X 上面的任何程序(包括 Little Snitch 本身)的联网请求都能够永久(或临时)禁止,明查秋毫,

苹果电脑 OS X 操作系统上面,建议安装 VMware Fusion 虚拟机软件,虚拟 Debian(全盘加密),或 openSUSE(全盘加密),或 TrueOS (全盘加密)运行翻墙软件,或虚拟 Windows XP 运行打印机,
VirtualBox 虚拟机软件(免费)也可以安装,这个软件的兼容和其它功能方面没有 VMware Fusion 的好,

安全提醒:

用来翻墙的苹果电脑操作系统,不要启用苹果给的那个免费的网络空间(大约 5 G),以避免用户电脑硬盘上的个人资料和其它信息直接上传到苹果公司的云服务器备份,


从苹果电脑操作系统 OS X上面直接安全翻墙,目前主要使用 “ 无界火狐扩展 ”,


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


苹果电脑操作系统,简单安全的翻墙方法:无界火狐扩展,( 无需安装 wine )

先安装一个火狐浏览器,然后在火狐浏览器上面安装无界浏览火狐扩展,

无界火狐扩展——成功的实例:

1),
谢谢 ultra ,

苹果电脑操作系统:OS X EI Captian 版本 10.11.6,无界火狐扩展 17.03c 测试版 u1703c.xpi,翻墙成功,
测试 https 网页 https://www.freebsd.org 成功,

火狐浏览器Firefox ESR 52.4.1 (64位),无需手动设置本地代理 127.0.0.1:9666,服务器连接稳定,浏览网页正常,


2),
苹果电脑操作系统:macOS Sierra 版本 10.12.6,无界火狐扩展 17.03c 测试版 u1703c.xpi,翻墙成功,
测试 https 网页 https://www.freebsd.org 成功,

火狐浏览器 Firefox ESR 52.4.1 (64位),无需手动设置本地代理 127.0.0.1:9666,服务器连接稳定,浏览网页正常,


3),
苹果电脑操作系统:macOS High Sierra 版本 10.13.2,无界火狐扩展 17.03正式版 u1703.xpi,翻墙成功,
测试 https 网页 https://www.freebsd.org 成功,

火狐浏览器 Firefox ESR 52.5.2 (64位),无需手动设置本地代理 127.0.0.1:9666,服务器连接稳定,浏览网页正常,

« 最后编辑时间: 十二月 12, 2017, 05:45:04 am 作者 jingyue »

离线 马加杰

  • 注册用户
  • *
  • 帖子: 7
为什么自由门访问不了国内网站

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
< 一 > Linux 操作系统:openSUSE Leap 42.3,( 官方安全更新支持到 2019 年 1 月 ),在线安装 wine:

( 1 ) 获取 root 权限,【终端】命令 :(  Linux, UNIX, OS X,通用  ),
引用
su

或者
引用
sudo su

( 2 ) openSUSE Leap 42.3 在线下载并安装 wine 软件,root 权限下,在【终端】里执行如下命令:
引用
zypper update

引用
zypper install wine



< 二 > Linux 操作系统: Debian 8,( 代号 jessie ,官方支持到 2020 年 5 月 ),简体中文 KDE 桌面,( 桌面环境:GNOME,Xfce,KDE,Cinnamon,MATE,LXDE,可在安装过程中选择,默认安装 GNOME 桌面,)在线安装 wine-1.6.2 版本:

( 1 ) Debian 8( 代号 jessie ) 添加官方软件源,( 北美洲 ),root 权限下,在【终端】里执行下面这一个命令:

echo "deb http://ftp.debian.org/debian/ jessie main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free

deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free

   " > /etc/apt/source.list


( 2 ) Debian 8, ( i386 ),( 代号 jessie )在线下载并安装 wine-1.6.2 软件,root 权限下,在【终端】里执行下面这两个命令:
引用
apt-get update

引用
apt-get install  wine


( 3 ) Debian 8,( amd64 ),( 代号 jessie ),( 官方安全更新支持 2015 年 4 月 —— 2020 年 4 月 ),在线下载并安装 wine32 软件,
引用
# dpkg --add-architecture i386 && apt-get update && apt-get install wine32

引用
~$ wine32 --version
wine-1.6.2


注:所有的【终端】命令,都可以采用从这里复制一个,然后粘贴到终端里执行的办法,不必一个一个字母地敲击键盘输入,

« 最后编辑时间: 四月 21, 2018, 06:28:18 am 作者 jingyue »

离线 beijiabc

  • 注册用户
  • *
  • 帖子: 1
不懂英文,没法操作

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #25 于: 十二月 26, 2015, 08:44:03 pm »
关于 ubuntu 的安全提醒:

18.04 收集和使用电脑用户信息,
18.04 的 Snap 仓库被发现混入恶意软件,
   PPA 软件源存在安全风险,

1),ubuntu 14.04 LTS 由 unity 桌面改换为 xfce 桌面之后的生命周期,

ubuntu 14.04 LTS  ( 官方安全更新支持到 2019 年 4 月 截止 )  <~~~~~~~~~~~~~~ unity 桌面
xubuntu 14.04 LTS  ( 官方安全更新支持到 2017 年 4 月 截止 )  <~~~~~~~~~~~~~ xfce 桌面
引用
官方链接
https://wiki.ubuntu.com/TrustyTahr/ReleaseNotes

Support lifespan

Ubuntu 14.04 LTS will be supported for 5 years for Ubuntu Desktop, Ubuntu Server, Ubuntu Core, Kubuntu, Edubuntu, and Ubuntu Kylin. All other flavours will be supported for 3 years.

官方链接
https://wiki.ubuntu.com/TrustyTahr/ReleaseNotes/Xubuntu

Xubuntu 14.04 LTS

Xubuntu 14.04 is an LTS (Long-Term Support) release and will be supported for 3 years. The release announcement for Xubuntu 14.04 can be found at http://xubuntu.org/news/14-04-release/.

2017 年 4 月之后在 ubuntu 的实验室里面,不在对 xfce 桌面上运行 14.04 软件源里面的软件包进行维护了,(软件源里面的软件包虽然还可以更新和下载,但是已经不是针对 xfce 桌面测试过的了,而是针对 unity 桌面 / KDE桌面兼容测试通过的,)


2),ubuntu 16.04 LTS  ( 官方安全更新支持到 2018 年 7 月 26 日 截止 )  <~~~~~~~~~ unity 桌面
引用
官方链接
https://lists.ubuntu.com/archives/ubuntu-announce/2018-April/000231.html

Users of Ubuntu 17.10 will be offered an automatic upgrade to 18.04 LTS
via Update Manager shortly. Users of 16.04 LTS will be offered the
automatic upgrade when 18.04.1 LTS is released, which is scheduled for
July 26th. For further information about upgrading, see:

   http://www.ubuntu.com/download/desktop/upgrade


3),Ubuntu 只对官方支持的有限数量的软件包进行安全维护,

引用
Ubuntu adds features in ways that we find dangerous for privacy. For example Ubuntu One (partly discontinued) and the Amazon ads and data leaks.

We think that the general quality of the maintenance work being done on packages matters from a security perspective. Debian maintainers generally are experts in the fields their packages deal with; while it is generally not the case outside of the limited number of packages Ubuntu officially supports .

[谷歌翻译]
Ubuntu 以我们认为对隐私有危险的方式添加功能。例如 Ubuntu One(部分停产)以及亚马逊广告和数据泄露。

我们认为从安全角度来看,在包装上进行维护工作的总体质量至关重要。 Debian 维护者通常是他们软件包处理领域的专家。而 Ubuntu 官方支持的有限数量的软件包通常不是这种情况。

参考来源:
https://tails.boum.org/support/faq/index.en.html#index3h2

引用
But not always. Ubuntu, a widely used and influential GNU/Linux distribution, has installed surveillance code. When the user searches her own local files for a string using the Ubuntu desktop, Ubuntu sends that string to one of Canonical's servers. (Canonical is the company that develops Ubuntu.)

Ubuntu uses the information about searches to show the user ads to buy various things from Amazon.

Even if it were disabled by default, the feature would still be dangerous.

[谷歌翻译]
但不总是。 Ubuntu,一个广泛使用和有影响力的 GNU / Linux 发行版,已经安装了监控代码。当用户使用 Ubuntu 桌面搜索自己的本地文件以获取字符串时,Ubuntu 会将该字符串发送给 Canonical 的其中一个服务器。 (Canonical 是开发 Ubuntu 的公司。)

Ubuntu 使用关于搜索的信息来显示用户广告,以从亚马逊购买各种东西。

即使它被默认禁用,该功能仍然是危险的。

参考来源:
http://distrowatch.com/weekly.php?issue=20151214#news
https://www.gnu.org/philosophy/ubuntu-spyware.html
https://www.fsf.org/blogs/rms/ubuntu-spyware-what-to-do

中文参考一,
Ubuntu 间谍软件:该怎么办?

中文参考二,
为什么Tails 基于 Debian 而不是 ubuntu?


4),ubuntu 18.04 LTS  ( GNOME 3.28.1桌面) 发行说明(摘要)
引用
官方链接
https://lists.ubuntu.com/archives/ubuntu-announce/2018-April/000231.html

The Ubuntu team is very pleased to announce our seventh long-term support
release, Ubuntu 18.04 LTS for Desktop, Server, Cloud, and Core.

Maintenance updates will be provided for 5 years for Ubuntu Desktop,
Ubuntu Server, Ubuntu Cloud, and Ubuntu Core. Ubuntu Studio will be
supported for 9 months. All the remaining flavours will be supported
for 3 years.


5),新闻:ubuntu 18.04 的 Snap 仓库被发现混入恶意软件, Canonical 公司已经从 Snap 仓库清除,

News: Canonical purges malware from Snap repository
新闻:Canonical 公司从 Snap 仓库清除恶意软件
引用
A collection of Snap packages have been identified which contain a hidden, cryptocurrency miner. The miner, which was bundled in Snaps such as 2048buntu, would run in the background when a Snap was activated. The Snaps were identified and removed over the weekend. The discovery of the hidden code has raised questions about the verification steps a package needs to go through before being published in the Snapcraft store.

[谷歌翻译]
已经确定了一个 Snap 包的集合,其中包含一个隐藏的加密货币矿工。矿工,这是捆绑在捕捉如 2048buntu,将启动快照时运行在后台。捕捉在周末被识别并移除。隐藏代码的发现提出了一个包在 Snapcraft 商店发布之前需要经过的验证步骤的问题。

原文链接 https://www.distrowatch.com/weekly.php?issue=20180514#news

用户评论:

引用
3 • mining (by Romane on 2018-05-14 02:45:57 GMT from Australia)

If it can be abused, in the current society we can be certain that someones (plural) will deliberately abuse it. Sadly, all this does is place suspicion also upon the honest developers and the honest packages. This issue with Snap packages reminds me of the issue with embedded malware and so on in Windows 3rd party installable applications.

It is all a matter of trust, and when trust is breached, not only the miscreant is affected, but also the genuine contributors to the open-source world. Most users will be like me - no programming skills, unable to audit the code, thus, what the source code will make the application do. It makes me very thankful for all the reliable developers out there who are trustworthy, and whose activities help me to retain at least a reasonable level of trust in what I run.

Once trustworthiness raises it head, regaining full trust is almost impossible - there will always remain some doubt.

But then, I don't use Snap or any of the other current efforts to make packages cross-compatible. But then, Debian (Buster) has pretty well everything I need in its standard repositories.

[谷歌翻译]
3•采矿(由 Romane 于2018-05-14 02:45:57 GMT从澳大利亚)

如果它可以被滥用,在目前的社会中,我们可以确定有人(复数)会故意滥用它。可悲的是,所有这一切都让诚实的开发者和诚实的软件包也受到怀疑。 Snap 包的这个问题让我想起了 Windows 第三方安装应用程序中的嵌入式恶意软件等问题。

这完全是信任的问题,当信任遭到破坏时,不仅歹徒受到影响,而且也是开源世界的真正贡献者。大多数用户会像我一样 - 没有编程技能,无法审计代码,因此,源代码将使应用程序执行哪些操作。这让我非常感谢那些值得信任的可靠开发人员,他们的活动帮助我至少保持我运行的合理信任程度。

一旦可信度提高,重新获得充分信任几乎是不可能的 - 总会有一些疑问。

但是,我没有使用 Snap 或其他任何其他的努力来使软件包交叉兼容。但是,Debian 10 ( Buster ) 在标准存储库中有我需要的一切。


引用
4 • @1 malware (by pengxuin on 2018-05-14 02:46:08 GMT from New Zealand)

I agree entirely, but sadly, not just Snaps or flatpaks.
Unfortunately PPA's are also at risk, by those that would poison the PPA via fair means or foul.
I have heard it rumored that crypto-miners are offering a reward to developers to poison packages for inclusion in distro's official repos, so by extension PPA's.

[谷歌翻译]
4•@ 1恶意软件(来自新西兰,时间2018-05-14 02:46:08,由pengxuin提供)

我完全同意,但可悲的是,不仅仅是快照或平板电脑。
不幸的是,PPA 的风险在于那些会通过公平的手段或犯规毒害 PPA 的人。
我听说有传闻说加密矿工正在向开发者提供奖励,以便将软件包毒化并纳入发行版的官方回购协议,因此推广 PPA。


原文网页链接
https://www.distrowatch.com/weekly.php?issue=20180514#qa

« 最后编辑时间: 昨天 07:09:55 pm 作者 jingyue »

ah cat

  • 访客
Re: 安装自由门教程:Linux / MAC / IPV6 / GProxy火狐工具条
« 回复 #26 于: 二月 14, 2016, 01:54:45 pm »
在wine下不要安装封包过滤器


离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
Debian 8.3.0 ,自由门翻墙,在线观看 2016年新唐人电视台全球华人新年晚会--神韵晚会,成功,

Debian 8.3.0 版本,( 代号 jessie ,官方支持到 2020 年 ),在线播放 新唐人中国频道 电视节目,需要安装 flash 播放器插件,flashplayer 11.2.202.569 版本,
root 权限下,在【终端】里执行下面这一个命令,将从 adobe.com 官方网站下载并安装 Iceweasel 冰鼬 (火狐) 浏览器插件 flashplayer 11.2.202.569 版本,( 安装之后在浏览器附加组件那里显示为 Shockwave Flash 11.2.202.569 版本):
引用
apt-get install flashplugin-nonfree


« 最后编辑时间: 二月 23, 2016, 12:35:38 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
GProxy火狐工具条 GProxy2.1版(7月4日)
http://forums.internetfreedom.org/index.php?topic=17030.0

以上旧版本已经失效,

新版本 2.1.1(2016年1月26日)适用于 火狐 Firefox 45.2.0 及以后更高版本,

引用自: dweb http://dongtaiwang.com/loc/download.php
GProxy火狐工具条2.1.1版 (2016年1月26日)
火狐浏览器Firefox和雷鸟电邮Thunderbird的附加软件, 让用户在火狐浏览器和雷鸟电邮中方便的切换代理服务器,支持世界通、自由门、无界、花园,支持正体、简体中文和英文界面。

 官方下载zip   
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.zip

 官方下载xpi
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.xpi

 PGP 数字签名
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.xpi.asc

 数字指纹 MD5
http://dongtaiwang.com/loc/software/gproxy_plus/gproxy_plus-2.1.1.xpi.md5.txt


离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
flashplayer 11.2.202 安全更新,

Debian 8.3.0 ,自由门翻墙,在线观看 2016年新唐人电视台全球华人新年晚会--神韵晚会,成功,

Debian 8.3.0 版本,( 代号 jessie ,官方支持到 2020 年 ),在线播放 新唐人中国频道 电视节目,需要安装 flash 播放器插件,flashplayer 11.2.202.569 版本,
root 权限下,在【终端】里执行下面这一个命令,将从 adobe.com 官方网站下载并安装 Iceweasel 冰鼬 (火狐) 浏览器插件 flashplayer 11.2.202.569 版本,( 安装之后在浏览器附加组件那里显示为 Shockwave Flash 11.2.202.569 版本):

flash 播放器插件 flashplayer 11.2.202.569 因安全问题已经被火狐浏览器 Firefox ESR 45.3.0 禁用,要想更新安全的版本,需要卸载当前版本,然后在线安装最新版本,

卸载旧版本:
引用
# apt-get purge flashplugin-nonfree

安装新版本:
引用
# apt-get install flashplugin-nonfree


目前最新 Linux 版本是 11.2.202.632,更新日期:2016年06月29日,

在 Debian 8.5.0 操作系统上,用翻墙软件代理,可在线播放新唐人电视台节目,

« 最后编辑时间: 九月 02, 2016, 09:22:15 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
ubuntu 16.04.1 在线安装 adobe flash 播放器插件,

【终端】命令:
引用
sudo su

引用
echo "deb http://archive.canonical.com/ubuntu xenial partner" >> /etc/apt/sources.list && apt-get update && apt-get install --assume-yes adobe-flashplugin



离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
如早期安装的 flash 播放插件因有安全漏洞而被火狐浏览器禁用,需要更新到安全版本才可继续使用,

ubuntu 16.04.1 在线更新 adobe flash 播放器插件,
引用
sudo su

引用
apt-get purge --assume-yes adobe-flashplugin && apt-get update && apt-get install --assume-yes adobe-flashplugin

« 最后编辑时间: 九月 04, 2016, 03:58:10 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
Debian 8 安装火狐浏览器插件 flashplayer 在线观看 2017 年新唐人电视台全球华人新年晚会 —— 神韵晚会,

Debian 8.3.0 ,自由门翻墙,在线观看 2016年新唐人电视台全球华人新年晚会--神韵晚会,成功,

Debian 8( 代号 jessie ,官方支持到 2020 年 ),在线播放 新唐人中国频道 电视节目,需要安装 flash 播放器插件,flashplayer ,
root 权限下,在【终端】里执行下面这一个命令,将从 adobe.com 官方网站下载并安装火狐浏览器插件 flashplayer,( 安装之后在浏览器附加组件那里显示为 Shockwave Flash )

火狐浏览器 Firefox ESR ,需要更新 flash 播放器插件 flashplayer:

(1) 卸载旧版本:
引用
# apt-get purge flashplugin-nonfree

(2)安装新版本:
引用
# apt-get update

引用
# apt-get install flashplugin-nonfree


目前 Shockwave Flash 版本是 24.0 r0,更新日期:2016年12月11日,

如果火狐浏览器安装了 RequestPolicy 和 NoScript 这两个组件,则需要禁用 RequestPolicy 和 NoScript,

打开火狐浏览器界面,右上角——> 打开菜单——> 附加组件——> 扩展——> RequestPolicy ——> 点击 [ 禁用 ],
打开火狐浏览器界面,右上角——> 打开菜单——> 附加组件——> 扩展——> NoScript ——> 点击 [ 禁用 ],
然后从新启动火狐浏览器,即可,

引用
http://dongtaiwang.com/loc/phome.php?lang=cn
新唐人对大陆特别播出2017年全球华人新年晚会

针对中国大陆观众,新唐人将播出〝2017年新唐人电视台全球华人新年晚会〞——大陆版,是最新的神韵晚会节目,但只限于中国大陆地区收看。请通过翻墙软体自由门或无界浏览观看。
低频宽    中频宽   高频宽
四次播出时间如下(北京时间):

1月27日(除夕)晚上8:00点-11:00点
1月27日(除夕)晚上11:00点-凌晨2:00点
1月28日(初一)上午9:00点-12:00点
1月28日(初一)下午1:00点-4:00点

Debian 8.7.1,火狐浏览器 Firefox ESR 45.7.0 版本安装 Flash 插件之后,通过自由门 fg759p.exe 翻墙,在线观看新唐人电视中国频道( 低频宽    中频宽   高频宽 ),测试,成功,

« 最后编辑时间: 一月 27, 2017, 01:15:07 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
Debian 9,代号 stretch,生命周期 5 年,官方安全更新支持 2017 年 6 月 ~ 2022 年 6 月 ,

Debian 9 ,( amd64 ) 在线安装 wine32 ,

(1)Debian 9 官方软件源( /etc/apt/sources.list )之一,( 仅供参考 ),

引用
deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://ftp.us.debian.org/debian/ stretch main contrib non-free
deb http://ftp.debian.org/debian/ stretch-updates main contrib non-free

### deb http://ftp.de.debian.org/debian stretch-backports main contrib non-free


(2)Debian 9 ( amd64 ) 在线安装 wine32 ,终端命令,
引用
# dpkg --add-architecture i386 && apt-get update && apt-get install wine32


到此安装结束,

~~~~~~~~~~~~~~~~~~~~~~~~

以下仅供参考,

(1)查看 wine 版本号,
引用
~$ wine --version
wine-1.8.7 (Debian 1.8.7-2)


(2)查看 Debian 发行版本号,
引用
~$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 9.0 (stretch)
Release:        9.0
Codename:       stretch


(3)在线安装 ufw 防火墙, (ufw 是一个自动配置 iptables 防火墙的脚本),
引用
# apt-get install ufw

设置ufw 防火墙启用保护(必需),
引用
# ufw enable


(4)查看  iptables (支持 IPv4)和 ip6tables(支持 IPv6) 防火墙的规则,

(IPv4)
引用
# iptables -S

(IPv6)
引用
# ip6tables -S


« 最后编辑时间: 四月 08, 2018, 07:22:48 pm 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
新版的火狐浏览器 Firefox Quantum 57.0 (64-bit) 可用的 2 个扩展组件,

(1)本地 ( 127.0.0.1 ) 代理服务器切换,

GProxy火狐工具条2.1.1版 (2016年1月26日),在新版的火狐浏览器 Firefox Quantum 57.0 (64-bit) 上面已经失效,

暂时可以用 LocaProxy Toolbar 来设置和切换代理,

火狐浏览器 Firefox Quantum 57.0,右上角 ——> Open menu (打开菜单)——> Add-ons ——> Extensions (扩展)——> 搜索 LocaProxy Toolbar ,
安装之后,手动添加和设置几个本地代理和端口即可使用了,

Settings (设置),
Add Proxy Server (添加代理服务器),
Host (主机),127.0.0.1
Port (端口),8580 或 9666

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

(2)禁止 Script (JavaScript) / 开启 Script (JavaScript) ,开/关切换,

火狐浏览器 Firefox Quantum 57.0 (64-bit) 上面,可以安装 Policy Control — Javascript and Flash Blocker 来禁止 / 开启 Script (JavaScript),

火狐浏览器 Firefox Quantum 57.0,右上角 ——> Open menu (打开菜单)——> Add-ons ——> Extensions (扩展)——> 搜索 Policy Control ,
安装之后,这个 Policy Control 需要设置一下,
其中:
Policy Control is enabled 后面需要打上一个对勾,
Script (JavaScript) 应该在 Block all 状态,也可以设置白名单,Block third-party,

仅供参考

« 最后编辑时间: 十二月 17, 2017, 12:49:26 am 作者 jingyue »

离线 jingyue

  • 自由发言用户
  • 注册用户
  • **
  • 帖子: 740
Linux 操作系统:Ubuntu 18.04 LTS ( amd64 )   版本代号 bionic,简体中文 GNOME 3.28.1 桌面,整块硬盘全盘加密( boot 分区除外 ),防火墙 ufw( 支持 IPv4 和 IPv6 ),生命周期 5 年( 2018 年 4 月 ~ 2023 年 4 月  ),

用 wine-3.0 运行自由门 fg764p.exe,火狐浏览器 Firefox Quantum 59.0.2( 64位 )手动设置本地代理 127.0.0.1:8580,浏览网页很流畅,

终端命令运行自由门 fg764p.exe:
引用
~$ wine fg764p.exe

以下仅供参考,

更新软件库:
引用
# apt-get update

在线安装 wine (稳定版):
引用
# apt-get install wine-stable


查看 wine  版本信息:
引用
~$ wine --version
wine-3.0 (Ubuntu 3.0-1ubuntu1)


安装和启用 ufw 防火墙防护,(ufw 实质上是一个自动配置 iptables 和 ip6tables 防火墙规则的可执行脚本),

获取 root 权限,
引用
~$ sudo su

安装 ufw 防火墙,
引用
# apt-get install ufw

启用 ufw 防火墙,
引用
# ufw enable


查看 ufw 配置的 iptables (支持 IPv4)和 ip6tables(支持 IPv6) 防火墙的过滤表规则,

(IPv4)
引用
# iptables -S

(IPv6)
引用
# ip6tables -S


查看发行版本信息:
引用
~$ lsb_release -a
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 18.04 LTS
Release:   18.04
Codename:   bionic


<一>,ubuntu 18.04 简体中文 GNOME 3.28.1 桌面,可从新配置为苹果电脑 Mac OS X  风格,

1),[设置] ——> Dock ——> [自动隐藏 Dock] ——> 打开,
2),[终端]命令 sudo apt install plank
3),[启动应用程序] ——> [额外的启动程序](p) ——> [添加]:
名称(N):plank
命令(M):/usr/bin/plank
注释(E):桌面启动时运行 plank
——> 保存,
OS X  风格桌面快照,图片预览  https://tiandixing.org/viewtopic.php?f=83&t=243841#p1432585


<二>,  ubuntu 18.04 (建议)卸载 ubuntu-report

在下面这个网页上提到 ubuntu 18.04 收集和使用电脑用户信息,
https://distrowatch.com/weekly.php?issue=20180507#news
引用
Ubuntu ships with ubuntu-report, which collects metrics and usage data. This package won't be present in Linux Mint, no data will be collected or sent.

[谷歌翻译] Ubuntu 附带 ubuntu-report,收集指标和使用数据。该软件包将不会出现在 Linux Mint 中,也不会收集或发送任何数据,

ubuntu 18.04 系统默认已经安装的用来搜集和汇报用户信息的软件包 ubuntu-report 已经找到,
引用
# apt search ubuntu-report
正在排序... 完成
全文搜索... 完成 
golang-github-ubuntu-ubuntu-report-dev/bionic,bionic 1.0.11 all
  Report hardware and other collected metrics - source

ubuntu-report/bionic,now 1.0.11 amd64 [已安装]
  Report hardware and other collected metrics


可以用终端命令卸载 ubuntu-report ,
引用
# apt purge ubuntu-report
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列软件包将被【卸载】:
  ubuntu-report*
升级了 0 个软件包,新安装了 0 个软件包,要卸载 1 个软件包,有 0 个软件包未被升级。
解压缩后将会空出 5,919 kB 的空间。
您希望继续执行吗? [Y/n] y
(正在读取数据库 ... 系统当前共安装有 131847 个文件和目录。)
正在卸载 ubuntu-report (1.0.11) ...
正在处理用于 man-db (2.8.3-2) 的触发器 ...


<三>, ubuntu 18.04(可选) 卸载 snapd,

官方网站 https://snapcraft.io/
引用
Package, distribute, and update any app for Linux and IoT

Snaps are containerised software packages that are simple to create and install. They auto-update and are safe to run. And because they bundle their dependencies, they work on all major Linux systems without modification.
Build your first snap

【谷歌翻译】打包,分发和更新任何适用于 Linux 和 IoT 的应用程序

快照是易于创建和安装的集装箱化软件包。它们自动更新并且可以安全运行。而且由于它们捆绑了它们的依赖关系,所以它们可以在所有主要的 Linux 系统上运行而不用修改。


由于 18.04 版本默认安装了以下 snap 打包的软件,每次电脑系统启动时立刻就会因自动更新有连接 ***.snapcraft.io 域名的下载和上传流量,
引用
# snap list
Name                  Version    Rev   Tracking  Developer  Notes
core                  16-2.32.5  4486  stable    canonical  core
gnome-3-26-1604       3.26.0     62    stable/…  canonical  -
gnome-calculator      3.28.1     167   stable/…  canonical  -
gnome-characters      3.28.0     86    stable/…  canonical  -
gnome-logs            3.28.0     31    stable/…  canonical  -
gnome-system-monitor  3.26.0     39    stable/…  canonical  -

以上几个 snap 软件都是来自 canonical 公司,安全方面基本可信,
但是你也可以安装任何其他个人发布的 snap 软件,未必安全可信,
引用
# snap --version
snap    2.32.5+18.04
snapd   2.32.5+18.04
series  16
ubuntu  18.04
kernel  4.15.0-20-generic

用终端命令卸载 snapd,上面所列出的 snap 相关软件都会统统被卸载,
引用
# apt purge snapd

« 最后编辑时间: 五月 11, 2018, 08:56:37 am 作者 jingyue »